[tool.poetry]
name = "fw-gear-deid-export"
version = "1.7.0"
description = "Utilities for de-identification/anonymization of files within Flywheel"
authors = ["Flywheel, Inc. <support@flywheel.io>"]
license = "MIT"
repository = "https://gitlab.com/flywheel-io/scientific-solutions/gears/deid-export"

[tool.poetry.dependencies]
python = "^3.12"
joblib = "^1.0.0"
Jinja2 = "^3.1.4"
MarkupSafe = "<2.1"
flywheel-gear-toolkit = "^0.6.18"
flywheel-migration = "13.9.1"
flywheel-sdk = "==16.19.2"

[tool.poetry.group.dev.dependencies]
ipykernel = "^6.29.4"
pytest = "^6.2.0"
coverage = {extras = ["toml"], version = "^5.3"}
pytest-cov = "^2.10.1"
pytest-mock = "^3.3.1"
isort = "^5.6.4"
black = "^24.3.0"

[tool.pytest.ini_options]
addopts = [
    "--cov=fw_gear_deid_export"
]

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
